/* Fonts Link Start */
@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");

@font-face {
  font-family: THIAGADEMORegular;
  src: url(../font/THIAGADEMORegular.ttf);
}

/* Fonts Link End */

/* Universal Start */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-color: #ff9900;
  --secondary-color: #01273c;
  --accent: #7a94a3;
  --black: #000000;
  --text-color: #545454;
  --white: #ffffff;
  --primary-font: "THIAGADEMORegular";
  --secondary-font: "Rubik";
  --primary-border: 1px solid #7a94a3;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--primary-font);
}

a {
  text-decoration: none;
}

p {
  font-family: var(--secondary-font);
}

/* Universal End */

/* Services Hero Start */

#services_hero {
  background: linear-gradient(
      180deg,
      rgba(1, 39, 60, 0) 0%,
      rgba(1, 39, 60, 0.8) 100%
    ),
    url(../image/project-all-image/project_bg_01.webp) lightgray 0px -332.156px / 100% 210.77% no-repeat;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 60vh;
}

.services_heading_hero {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 30vh;
}

.services_heading_hero h1 {
  color: var(--white);
  font-size: 48px;
}

.services_page_ifo {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding-top: 15px;
}

.services_page_ifo span:nth-child(2) {
  width: 40px;
  height: 2px;
  background: var(--primary-color);
}

.services_page_ifo span a {
  font-size: 17px;
  color: var(--white);
  font-family: var(--secondary-font);
}

@media screen and (max-width: 768px) {
  .services_heading_hero h1 {
    font-size: 34px;
  }
}
/* Services Hero End */

/* Projcet Start */
.project_bg {
  padding: 0px 0px !important;
  background: none !important;
  width: 100%;
  background-position: center;
  background-size: cover;
}

.project_heading {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 10px;
}

.project_heading span {
  height: 1px;
  width: 40px;
  background: var(--primary-color);
  margin-right: 10px;
}

.project_heading p {
  margin: 0px !important;
  font-weight: 500;
  font-size: 16px;
  color: var(--black) !important;
}

.project_heading_title {
  padding-bottom: 20px;
}

.project_heading_title h1 {
  text-align: center;
  font-size: 40px;
  padding-bottom: 5px;
  color: var(--black) !important;
}

.project_card {
  padding: 0 0 30px 0;
  overflow: hidden;
}

.projcet_card_image {
  position: relative;
  padding: 0 !important;
  overflow: hidden;
}

.projcet_card_image img {
  overflow: hidden;
  width: 100%;
}

.projcet_card_image_text {
  position: absolute;
  top: 68%;
  right: 0;
  left: 0;
}

.projcet_card_image_text p {
  color: var(--white);
  position: absolute;
  transition: 0.45s;
  left: -100px;
  z-index: 2;
  visibility: hidden;
  opacity: 0;
  color: var(--primary-color);
  font-size: 14px;
}

.projcet_card_image:hover .projcet_card_image_text p {
  left: 30px;
  opacity: 1;
  visibility: visible;
}

.projcet_card_image_heading {
  position: absolute;
  top: 75%;
  right: 0;
  left: 0;
}

.projcet_card_image_heading h1 {
  color: var(--white);
  position: absolute;
  transition: 0.75s;
  opacity: 0;
  font-size: 30px;
  left: -170px;
  z-index: 2;
  visibility: hidden;
}

.projcet_card_image:hover .projcet_card_image_heading h1 {
  left: 30px;
  opacity: 1;
  visibility: visible;
}

.projcet_card_image_text_detiles {
  position: absolute;
  top: 88%;
  right: 0;
  left: 0;
}

.projcet_card_image_text_detiles p {
  color: var(--white);
  position: relative;
  transition: 0.95s;
  opacity: 0;
  font-size: 16px;
  left: -170px;
  color: var(--primary-color);
  z-index: 2;
  visibility: hidden;
}

.projcet_card_image_text_detiles p::after {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  left: -15px;
  top: 9px;
  background: var(--white);
}

.projcet_card_image_text_detiles p::before {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  left: 70px;
  top: 9px;
  right: 0;
  background: var(--white);
}

.projcet_card_image:hover .projcet_card_image_text_detiles p {
  left: 100px;
  opacity: 1;
  visibility: visible;
}

.projcet_card_image_overlay {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  opacity: 0;
  background: linear-gradient(rgba(1, 39, 60, 0), #01273c);
  width: 100%;
  height: 0;
  z-index: 1;
  border-radius: 0 0 10px 10px;
  transition: 1s ease;
}

.projcet_card_image:hover .projcet_card_image_overlay {
  height: 40%;
  overflow: visible;
  opacity: 1;
}

.project_card_btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px 0;
}

.project_card_pagenation {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  padding-top: 20px;
}

.project_card_pagenation a {
  border: 2px solid rgba(1, 39, 60, 1);
  padding: 5px 15px;
  font-family: var(--secondary-font);
  font-size: 16px;
  color: rgba(1, 39, 60, 1);
  font-weight: 500;
  border-radius: 5px;
  transition: 0.5s;
}

.project_card_pagenation .link {
  width: 40px;
}

.project_card_pagenation a:hover {
  background: var(--primary-color);
  color: var(--white);
  border: 2px solid var(--primary-color);
}

.project_card_pagenation .active {
  background: var(--primary-color);
  color: var(--white);
  border: 2px solid var(--primary-color);
}

@media screen and (max-width: 768px) {
  .project_heading_title h1 {
    font-size: 34px !important;
  }
  .project_card_pagenation .link {
    width: 35px;
    text-align: center;
  }
  .project_card_pagenation {
    gap: 8px;
  }
}

@media screen and (max-width: 575px) {
  .project_card_pagenation a {
    border: 2px solid rgba(1, 39, 60, 1);
    padding: 5px 10px;
    font-family: var(--secondary-font);
    font-size: 14px;
    color: rgba(1, 39, 60, 1);
    font-weight: 500;
    border-radius: 5px;
    transition: 0.5s;
  }
}
/* Projcet End */

/* Client Start */
.client_heading {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 10px;
}

.client_heading span {
  height: 1px;
  width: 40px;
  background: var(--primary-color);
  margin-right: 10px;
}

.client_heading p {
  font-weight: 500;
  font-size: 16px;
  color: var(--black);
}

.client_heading_title h1 {
  text-align: center;
  font-size: 40px;
  padding-bottom: 25px;
}

.client-slider-content {
  width: 100%;
  aspect-ratio: 2/1;
  padding: 10px 30px 20px 30px;
  border-radius: 10px;
  border: var(--primary-border);
}

.client-slider_menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.client-slider_img {
  position: relative;
  width: 90px;
  height: 90px;
  margin-top: 28px;
  margin-left: 20px;
  border-radius: 6px;

}

.client-slider_img::after{
  content: "";
  position: absolute;
  left: -20px;
  top: -20px;
  width: 90px;
  height: 90px;
  border: 1px solid var(--primary-color);
  border-radius: 6px;
  z-index: -1;
}

.client-slider_img img {
  width: 100%;
  border-radius: 6px;
}

.client-slider_logo {
  width: 70px;
  height: 60px;
}

.client-slider_logo img {
  width: 100%;
  height: 100%;
}

.client-slider_menu_image {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.client-slider_img_heading {
  margin-top: 25px;
}

.client-slider_img_heading h1 {
  font-size: 25px;
}

.client-slider_img_heading p {
  text-align: start;
  font-size: 15px;
  margin-top: 25px;
  color: var(--primary-color);
}

.client-slider-paragraph {
  text-align: start;
  font-size: 16px;
  color: var(--secondary-color);
}

.testimonial-slider {
  padding: 70px 0 90px 0 !important;
}


#client .client-pagination {
  margin-left: 55px;
  width: 40px !important;
  height: 1px !important;
  border: 1px solid var(--secondary-color) !important;
}

#client .pagination_wrapper {
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 60px;
}

#client .pagination_wrapper .paginations {
  width: 150px;
  position: absolute;
  margin: auto;
}

#client .client-pagination .swiper-pagination-bullet {
  display: none !important;
  width: 10px !important;
  height: 1px !important;
  border: 1px solid var(--secondary-color) !important;
}

#client .client-next::after {
  display: none;
}

#client .client-prev::after {
  display: none;
}

#client .client-next {
  width: 32px !important;
  height: 30px !important;
  border-radius: 5px;
  border: 2px solid rgba(1, 39, 60, 1);
  color: #01273c !important;
  font-size: 16px;
  font-family: var(--secondary-font);
  z-index: 99 !important;
  transition: 0.5s;
}

#client .client-next:hover {
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
  color: var(--white) !important;
}
#client .pagination-wrapper {
  width: 40px !important;
}
#client .client-prev {
  width: 32px !important;
  height: 30px !important;
  border-radius: 5px;
  border: 2px solid rgba(1, 39, 60, 1);
  color: #01273c !important;
  font-size: 16px;
  font-family: var(--secondary-font);
  z-index: 99 !important;
  transition: 0.5s;
}

#client .client-prev:hover {
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
  color: var(--white) !important;
}

@media screen and (max-width: 767px) {
  .client_heading_title h1 {
    font-size: 34px !important;
  }
}

@media screen and (max-width: 576px) {
  .client-slider_img::after{
    content: "";
    position: absolute;
    left: -10px;
    top: -10px;
    width: 70px;
    height: 70px;
    border: 1px solid var(--primary-color);
    border-radius: 6px;
    z-index: -1;
  }
  .client-slider_img {
    margin-top: 25px;
    margin-left: 10px;
  
  }
}

/* Client End */

/* Offering Start  */

#offering {
  margin-top: 80px;
  padding: 0 0 40px 0;
}

.offering_wrapper {
  background: url(../image/home-page-all-image/offering_img_01.webp);
  width: 100%;
  height: 350px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.offering_heading {
  display: block;
  margin: auto;
  width: 720px;
}

.offering_heading h1 {
  padding-top: 60px;
  text-align: center;
  font-size: 40px;
  color: var(--white);
}

.offering_text {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 40px;
}

.offering_text p {
  display: inline-block;
  padding-bottom: 4px;
  border-bottom: 2px solid var(--white);
  font-size: 16px;
}

.offering_text p a {
  color: var(--primary-color);
}

.social_content {
  display: flex;
  justify-content: end;
  align-items: center;
  margin-top: 50px;
}

.social_content_menu {
  border: 2px solid rgba(1, 39, 60, 1);
  padding: 10px;
  background: rgba(1, 39, 60, 1);
  border-radius: 5px;
  z-index: 1;
}

.social_content_menu a {
  display: block;
  text-align: center;
  border: 1px solid var(--white);
  line-height: 10px;
  padding: 5px;
  border-radius: 3px;
  transition: 0.5s;
}

.social_content_menu a i {
  color: var(--white);
}

.social_content_menu a:nth-child(2) {
  margin-top: 10px;
}

.social_content_menu a:nth-child(3) {
  margin-top: 10px;
}

.social_content_menu a:nth-child(4) {
  margin-top: 10px;
}

.social_content_menu a img {
  width: 18px;
  height: 20px;
}

.social_content_menu a:hover {
  background: var(--primary-color);
  border: 1px solid var(--primary-color);
}

@media screen and (max-width: 992px) {
  #offering {
    padding: 0px;
  }
}

@media screen and (max-width: 675px) {
  .offering_heading {
    width: 575px;
  }
}

@media screen and (max-width: 578px) {
  .offering_heading {
    width: 335px;
  }

  .offering_heading h1 {
    font-size: 30px;
  }
}

@media screen and (max-width: 767px) {
  .offering_heading {
    width: 100%;
  }
  .offering_heading h1 {
    font-size: 34px;
  }
}

@media screen and (max-width: 432px) {
  .social_content {
    margin-top: 0px;
  }
}

/* Offering End  */